@import url('../fonts/fonts.css');

:root {
    /* colors*/
    --mirtillo: #3D3972;
    --lmirtillo: #7978DC;
    --corallo: #FF7A4A;
    --pane: #DCB37D;
    --mais: #FFE24C;
    --pistacchio: #CBE55C;
    --lattementa: #E2EED9;
    --salvia: #C0C8B2;
    --rosa: #FF99CC;
    --viola: #C0A0EB;
    --bgcolor: #FCFBF7;

    --bold:Mija-Bold, Helvetica, Arial, sans-serif;
  }

  
html, body { padding:0px; margin: 0px;  
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    font-family: Mija, Helvetica, Arial, sans-serif;
    font-size: 25px;
    line-height: 32px;
    background-color: var(--bgcolor);
    color:var(--mirtillo);
}
a { color: var(--lmirtillo); transition: color .3s; }
a:hover { color:var(--corallo); }

h1 { font-size: 60px; line-height: 62px; font-weight: normal; margin-bottom: 20px;}
h2 { font-size: 48px; line-height: 52px; font-weight: normal;}
h3 { font-size: 38px; line-height: 44px; font-weight: normal;}
h4 { font-size: 32px; line-height: 38px; font-weight: normal;}

.label { font-size: 24px; line-height: 28px; font-family: var(--bold); text-transform: uppercase; letter-spacing: .075em;}
.btn { font-size: 20px; line-height: 45px; display: inline-block; height: 45px; border-radius: 35px; border:2px solid; padding: 0 20px;}

.has-small-font-size { line-height: 28px; }
.has-medium-font-size { line-height: 38px; }
.has-large-font-size { line-height: 44px; }
.has-x-large-font-size { line-height: 52px; }

.small { font-size: 22px; line-height: 30px;}


.is-vertically-aligned-stretch .wp-block-columns  { align-items: stretch;}
.is-vertically-aligned-stretch .wp-block-columns .wp-block-column { display: flex; flex-wrap: wrap; flex-direction: column; flex:1; align-items: stretch;justify-content: space-between; }

b, strong h2 { font-weight: normal; font-family: var(--bold);}
figure { margin:0px; padding:0px; line-height: 0;}
p { margin-top:0px;}
body .wp-block-image { margin-bottom: 15px;}

.has-background-background-color { background-color: var(--bgcolor);}
.has-background-color:not(mark) {color: var(--bgcolor);}
.has-mirtillo-background-color { background-color: var(--mirtillo);}
.has-mirtillo-color:not(mark) {color: var(--mirtillo);}
.has-lmirtillo-background-color { background-color: var(--lmirtillo);}
.has-lmirtillo-color:not(mark) {color: var(--lmirtillo);}
.has-corallo-background-color { background-color: var(--corallo);}
.has-corallo-color:not(mark) {color: var(--corallo);}
.has-pane-background-color { background-color: var(--pane);}
.has-pane-color:not(mark) {color: var(--pane);}
.has-mais-background-color { background-color: var(--mais);}
.has-mais-color:not(mark) {color: var(--mais);}
.has-pistacchio-background-color { background-color: var(--pistacchio);}
.has-pistacchio-color:not(mark) {color: var(--pistacchio);}
.has-lattementa-background-color { background-color: var(--lattementa);}
.has-lattementa-color:not(mark) {color: var(--lattementa);}
.has-salvia-background-color { background-color: var(--salvia);}
.has-salvia-color:not(mark) {color: var(--salvia);}
.has-rosa-background-color { background-color: var(--rosa);}
.has-rosa-color:not(mark) {color: var(--rosa);}
.has-viola-background-color { background-color: var(--viola);}
.has-viola-color:not(mark) {color: var(--viola);}

mark { color:var(--mirtillo);
  background-position: 0 100%;
  background-repeat: no-repeat;
  background-size: 0px 3px;
  background-color: transparent;
  transition: background-size .5s;
  text-decoration: none !important; }

mark.inView{ background-size: 100% 3px; }

mark.has-mais-color{   background-image: linear-gradient(var(--mais), var(--mais)); }
mark.has-mirtillo-color{   background-image: linear-gradient(var(--mirtillo), var(--mirtillo)); }
mark.has-lmirtillo-color{   background-image: linear-gradient(var(--lmirtillo), var(--lmirtillo)); }
mark.has-corallo-color{   background-image: linear-gradient(var(--corallo), var(--corallo)); }
mark.has-pane-color{   background-image: linear-gradient(var(--pane), var(--pane)); }
mark.has-pistacchio-color{   background-image: linear-gradient(var(--pistacchio), var(--pistacchio)); }
mark.has-lattementa-color{   background-image: linear-gradient(var(--lattementa), var(--lattementa)); }
mark.has-salvia-color{   background-image: linear-gradient(var(--salvia), var(--salvia)); }
mark.has-rosa-color{   background-image: linear-gradient(var(--rosa), var(--rosa)); }
mark.has-viola-color{   background-image: linear-gradient(var(--viola), var(--viola)); }

.alignwide { width:calc( 83.33334% - 72px ); margin: 0 auto;}
body .wp-block-columns {  column-gap: 36px; }

a.wp-block-button__link { padding:10px 20px; display: inline-block; font-size: 25px; line-height: 35px; font-family: var(--bold); text-transform: uppercase; }

hr.wp-block-separator  { transform: rotate(0deg); background-image: url('../images/riga.svg'); height: 100px; background-size: 50px;  border:0px ; margin: 0px; padding: 0px;  transition: transform .7s; background-repeat: repeat-x; background-position: center;}
.row-wave { overflow: hidden; margin-top: 60px; margin-bottom: 60px; }
.end hr {transform: rotate(-1deg);}

.wrapper.sfondo-blocco { padding-top:134px;}
.wrapper { padding-top:194px; }
.main { padding: 0 80px; }
body .wp-block-image .alignleft { margin:0px;}
/* header */
#top { min-height:134px; max-height: 134px; width:calc( 100% - 160px ); position: fixed; background-color: var(--bgcolor); padding: 0 80px; display: flex; flex-wrap: wrap; align-items: center; z-index:200;}
#top #logo { width: 180px; height: 70px;position: relative; z-index: 200; }
#top #logo a { display: block; width:100%; height: 100%; background-color: #584EB4; mask-repeat:no-repeat; mask-size:contain; }
#top .menu-header { margin:0px; padding: 0px; list-style: none; margin-left: auto;margin-right: 60px; }
#top .menu-header li { display: inline-block; text-transform: uppercase; font-size: 20px; margin-left: 26px;  font-family: var(--bold); }
#top .menu-header li a { text-decoration: none;color: var(--lmirtillo); }
#top .menu-header li.current_page_parent a { text-decoration: underline; }

#cart { position: relative; height: 30px;display: inline-block; line-height: 15px; }
#cart .icon { mask-image:url('../images/carrello.svg');-webkit-mask-image: url('../images/carrello.svg');}
#cart #cartNum { font-size: 12px; text-decoration: none; font-family: var(--bold); display: block; width:30px; height: 30px; margin-left: 20px; text-align: center; }

#search { mask-image:url('../images/cerca.svg');-webkit-mask-image: url('../images/cerca.svg'); cursor: pointer;}
#modulo-search.open {  transform: translateY(0); }
#modulo-search { display:block; position: fixed; top:120px; left:0px; width:100%;     height: calc(100% - 120px); z-index:100; transform: translateY(-300%); transition: transform .3s; }
#modulo-search::before { background-color: #584EB4; content:''; width:100%; height:100%; position: absolute; top:0; left:0; opacity:.9; }
#modulo-search form { position: relative; width:calc( 100% - 40px ); height: calc( 100% - 40px ); padding:20px; display: flex; flex-wrap: wrap; flex-direction: column; justify-content: center; align-content: center; }
#modulo-search form input[type="text"] { width:744px; max-width:100%; background-color: transparent; color: var(--bgcolor); font-size: 48px; line-height: 52px; font-family: Mija-Italic, Helvetica, Arial, sans-serif; text-align: center; border:none; border-bottom: 1px solid;   }
#modulo-search form input::placeholder { color:var(--bgcolor); }
#modulo-search form input[type="submit"] { background-color: #B2BAEF; width:140px; margin: 0 auto; margin-top:30px; height: 45px; line-height: 45px; border:none; border-radius: 30px; padding:0px; color: var(--bgcolor); font-family: var(--bold); font-size: 25px; }
input:focus { outline:0; border:0; }

.icon { display: inline-block; width:30px; height: 30px; line-height: 30px; background-color: var(--lmirtillo); margin-left: 20px; }
button.icon { border:none; }

.rank-math-breadcrumb { position: absolute; top:170px; color: var(--viola); left:80px; font-size: 16px; z-index:10;}
.rank-math-breadcrumb a { color: var(--viola); text-decoration: none; }
.tax-product_cat .rank-math-breadcrumb, .tax-product_cat .rank-math-breadcrumb a { color: white;}

.navbar-toggler { height: 24px; width:30px; position: relative; cursor:pointer; padding:0px; border-radius: 0px; z-index:10000; background-color: transparent; border:none; margin-left:60px;}
.navbar-toggler-icon { display:block; width:100%; height: 0px; border-top:3px solid var(--lmirtillo); transition: border-top .3s; border-radius: 3px; }
.navbar-toggler span { display: block; position: absolute; height: 0px; width: 100%; opacity: 1; left: 0; -webkit-transform: rotate(0deg); -moz-transform: rotate(0deg); -o-transform: rotate(0deg); transform: rotate(0deg); -webkit-transition: .25s ease-in-out; -moz-transition: .25s ease-in-out; -o-transition: .25s ease-in-out; transition: .25s ease-in-out; }
.navbar-toggler span:nth-child(1) {  top: 0px;}
.navbar-toggler span:nth-child(2) { top:8px; }
.navbar-toggler span:nth-child(3) { top:16px; }
.navbar-toggler.open span:nth-child(1) { -webkit-transform: rotate(-45deg); -moz-transform: rotate(-45deg); -o-transform: rotate(-45deg); transform: rotate(-45deg);top:12px; }
.navbar-toggler.open span:nth-child(2), .navbar-toggler.open span:nth-child(3) { -webkit-transform: rotate(45deg); -moz-transform: rotate(45deg); -o-transform: rotate(45deg); transform: rotate(45deg);top:12px;  }


#mega-menu { position:fixed; top:0px; left:0px; width:calc( 100% - 160px ); min-height: calc( 100vh - 280px ); background-color: var(--mirtillo); display: flex; padding: 200px 80px 80px 80px;justify-content: space-between; z-index:101;}
#mega-menu  ul { margin:0px; padding: 0px; list-style: none; }
#mega-menu a { color:var(--bgcolor); text-decoration: none; font-size: 60px; line-height: 68px;}
#mega-menu .menu-small a { font-size: 22px; line-height: 28px;}
#mega-menu .col { width:40%; display: flex; flex-wrap: wrap; flex-direction: column; }
#mega-menu .menu-small { margin-top:auto;}
#mega-menu .menu-big li:first-child { margin-bottom:68px;}

.navbar-collapse #mega-menu { transform: translatey(-150vh); transition: all .5s; }
.navbar-collapse.open #mega-menu { transform: translatey(0);}

/* main */
blockquote { position:relative; margin: 0px; padding: 0px 16.66667%; }
blockquote::after, blockquote::before {background-image: url('../images/apici.svg'); content:''; width:50px; height: 38px; display: block; position: absolute; top:-10px; left:calc( 16.66667% - 87px ); background-repeat: no-repeat;  }
blockquote::after { left:auto; top:auto; right:calc( 16.66667% - 32px ); bottom:40px; }

/* categorie */
.catprod { display: flex; margin: 0 0 80px 0; }
.home .catprod {margin: 0; }

.catprod article { flex: 1 1 0px; text-align: center; padding: 130px 40px;}
.catprod article a { text-decoration: none;}
.catprod article h2 { margin:0px; font-family: var(--bold);}
.catprod article a:hover { color:var(--bgcolor)!important;}
.catprod article p.btn { margin: 0px;}
/* Categoria prodotto */
.tax-product_cat #top:not(.active) #logo a { background-color: var(--bgcolor);}
.tax-product_cat .header {padding-top:250px; padding-bottom: 40px; color:var(--bgcolor); margin-bottom: 120px; font-size: 40px; line-height: 46px;}
.tax-product_cat .header h1 { margin:0px;}
.tax-product_cat .header .main { padding-right: calc( 33.33334% + 80px );}

.tax-product_cat .filtri { margin-top:80px;}
.tax-product_cat .filtri ul { list-style:none; margin:0px; padding:0px;  }
.tax-product_cat .filtri #filtri_tag li { font-size: 20px; padding:0px 7px; line-height: 34px; height: 34px; cursor:pointer; text-transform: lowercase; transition: all .3s; }
.tax-product_cat .filtri #filtri_tag li:hover { color:var(--lmirtillo)}
.tax-product_cat .filtri #filtri_tag li.active { background-color: var(--mirtillo); border-color: var(--mirtillo); color:var(--bgcolor); }
.tax-product_cat .filtri #filtri_tag li.active:hover {  color:var(--corallo); }

.filtri #filtri_tag li { opacity:.2; margin-bottom: 5px; }
.filtri #filtri_cat li { margin-bottom: 5px; }
.filtri #filtri_tag li.available { opacity:1; }

body.woocommerce ul.products li.product, .woocommerce-page ul.products li.product { opacity:.2; order:2; transition: all .3s; }
body.woocommerce ul.products li.product.active, .woocommerce-page ul.products li.product.active { opacity:1; order:1;}

/* single-product */
.single-product #top:not(.active), .tax-product_cat #top:not(.active) { background-color: transparent; transition: background-color .3s; }
.single-product #top:not(.active) .menu-header li a, .tax-product_cat #top:not(.active) .menu-header li a,
.single-product #top:not(.active)  a, .tax-product_cat #top:not(.active) a { color:var(--bgcolor);}
.single-product #top:not(.active) .icon, .tax-product_cat #top:not(.active) .icon { background-color: var(--bgcolor);}
.single-product #top:not(.active) .navbar-toggler-icon, .tax-product_cat #top:not(.active) .navbar-toggler-icon {border-color:var(--bgcolor);}
.single-product .wrapper, .tax-product_cat .wrapper { padding-top:0px;}
.single-product .header { display: grid;  grid-template-columns: repeat(2, minmax(0, 1fr)); }
.single-product .header img.attachment-post-thumbnail { width: 50vw; height: auto; float:left;}
.single-product .header h1 { margin:0px; font-size: 48px; font-family: var(--bold);}
.single-product .header .contenuto { display:flex;flex-wrap: wrap; flex-direction: column; padding: 250px 80px 80px 80px}

.single-product .header { min-height: 100vh;}
.single-product .header figure  {background-color: #F2F2F2; }
.single-product .header img.attachment-post-thumbnail { width:100%; height: 100%; object-fit: contain; object-position: center; }



ul.type {  margin:0px; padding:0px; list-style: none; }
ul.type li { display:inline-block; margin-right:10px; }
ul.type li img { width:60px }

#cats { margin-top:auto; margin-bottom: 0px; }
#cats p { margin:0px;}
#cats a { text-decoration:none; color: var(--bgcolor); }
#cats ul { list-style:none; margin:0px; padding:0px; display: inline-block; }
#cats ul li { display: inline-block; font-size:20px; line-height: 34px; height: 34px; border:2px solid var(--bgcolor); padding:0 10px; border-radius: 20px; margin-bottom: 2px; }

.single-product .gallery, .single-product .gallery .slick-list, .single-product .gallery .slick-track { height: calc( 100vh - 120px ); overflow: hidden;}
.single-product .gallery img { width:100%; height: 100%; object-fit: cover; object-position: center;}
.single-product .gallery .slick-dots { position: absolute; bottom: 40px; left:0px; width:100%; text-align:center; list-style: none; margin: 0px; padding: 0px;}
.single-product .gallery .slick-dots li { display: inline-block;  margin-right:10px;}
.single-product .gallery .slick-dots li button { width:35px; height: 35px; border-radius: 50%; border:2px solid var(--lmirtillo); text-indent:-10000px; background-color: transparent; cursor:pointer; transition: background-color .3s; }
.single-product .gallery .slick-dots li.slick-active button, .single-product .gallery .slick-dots li button:hover { background-color: var(--lmirtillo); }
.single-product .gallery .slick-dots li:only-child { display: none; }

#informazioni { position: relative; width:calc( 83.3334% - 160px ); margin-left: calc( 8.33334% + 80px ); padding: 80px 0; float:left; clear: both; font-size: 22px; line-height: 28px;}
#informazioni .inner-content { width:50%; float:left;}
#informazioni .prod_img { position: sticky; top:120px; right:0px; float:left; width:50%; }
body:not(.home) .catprod{ clear:both; margin-bottom:0px; }
#informazioni h2 { font-family: var(--bold)}
#informazioni h3 { font-size: 24px;font-family: var(--bold); text-transform:uppercase; margin:0px;}
#informazioni table { width:100%; margin-bottom: 30px; }
#informazioni table td:last-child { text-align: right;}
#informazioni table td { border-bottom: 1px solid #B2BAEF; padding: 10px 0; }
#informazioni ul.type { padding-top: 30px; padding-bottom: 30px; }

#informazioni .scritta {height: 2px; position: absolute; left:50%; top:80px; z-index:10; display: flex; flex-wrap: wrap; align-content: center; opacity: 15%;}
#informazioni .scritta.animated {opacity: 15%!important; }
#informazioni .scritta img { height:250px;}

#informazioni .prod_img .img { text-align: center; }
#informazioni .prod_img .img img { width:66.6667%; margin-top:140px; }


/* woocommerce */
.woocommerce:where(body:not(.woocommerce-uses-block-theme)) div.product p.price { color:var(--mirtillo); font-family: var(--bold); margin-top: 30px;}
body.woocommerce .quantity .qty { height: 45px; border-radius: 50px; border:none; font-family: Mija, Helvetica, Arial, sans-serif; font-size:32px; line-height: 45px; color:var(--mirtillo); margin-right:20px; }
body.woocommerce div.product form.cart .button { height:47px; line-height: 47px !important; border-radius: 50px; padding:0px 30px; font-size: 25px; text-transform: uppercase; }



body.woocommerce ul.products { display: grid;  grid-template-columns: repeat(4, minmax(0, 1fr)); gap:36px; margin-bottom:120px;}
.woocommerce .products ul::after, .woocommerce .products ul::before, .woocommerce ul.products::after, .woocommerce ul.products::before { display: none;}
body.woocommerce ul.products li.product, .woocommerce-page ul.products li.product { width:100%; margin:0px; padding: 0px; padding-bottom: 40px; }
body.woocommerce ul.products li.product .woocommerce-loop-product__title { font-size: 32px; color: var(--mirtillo); line-height: 38px; padding-bottom: 0px;}
body.woocommerce ul.products li.product a img { margin-bottom: 10px;}
body.woocommerce ul.products li.product .button { position:absolute; left:0px; bottom:0px; text-indent:-10000px; width:30px; height: 30px; margin:0px; padding:0px; background-color: var(--corallo);mask-image:url('../images/carrello.svg'); mask-repeat: no-repeat; mask-size: contain; }
body.woocommerce:where(body:not(.woocommerce-uses-block-theme)) ul.products li.product .price { position:absolute; left:45px; bottom:0px; margin-top:auto; color:var(--corallo); margin:0px; line-height: 30px; font-size: 22px; }
.woocommerce-page ul.products li.product a.added_to_cart { display:none; }
body.woocommerce ul.products li.product .button.loading { text-decoration: blink; }
body.woocommerce .woocommerce-result-count, body.woocommerce .woocommerce-ordering { display: none; }


body.woocommerce ul.products li.product.outofstock .button { background:none; }
.woocommerce ul.products li.product.outofstock a.woocommerce-loop-product__link::after { content: 'Li stiamo impastando'; font-size: 13px; color:var(--corallo); position: absolute; bottom:0px; }
body.woocommerce ul.products li.product.outofstock .price { display: none;}
/* modulo */
.wpcf7 label { display:flex; flex-wrap: wrap;flex:1; gap:32px; }
.wpcf7 label span { flex: 1 0 0;}
.wpcf7 label input, select { margin:0px; padding: 0px; border:none; background-color: var(--bgcolor);   color:var(--mirtillo);font-family: Mija, Helvetica, Arial, sans-serif; font-size: 25px; line-height: 60px; padding: 0 30px; width:calc( 100% - 60px ); height: 60px; border-radius: 50px;  }
.wpcf7 ::placeholder {  color:var(--salvia);}
.wpcf7 select { -moz-appearance: none; -webkit-appearance: none;  appearance: none;  
  background-position: right center;
  background-repeat: no-repeat;
  background-image: url("data:image/svg+xml;utf8,<svg fill='black' height='24' viewBox='0 0 24 24' width='24' xmlns='http://www.w3.org/2000/svg'><path d='M7 10l5 5 5-5z'/><path d='M0 0h24v24H0z' fill='none'/></svg>");
 width:100%;}

.wpcf7-form-control-wrap[data-name="privacy"] { font-size:16px; line-height: 20px;}
.wpcf7-form-control-wrap[data-name="privacy"] input { width:15px; border-radius: 50%; height: 20px; }

.wpcf7 input[type=submit] { font-size: 20px; line-height: 30px; display: inline-block; height: 30px; border-radius: 20px; border:1px solid; padding: 0 20px; background-color: var(--lmirtillo); color: var(--bgcolor); border:0px; float:right; 
  text-transform: uppercase;
  font-family: var(--bold);}

  /* cart + checkout */
  .wp-block-woocommerce-checkout.alignwide, .wp-block-woocommerce-cart.alignwide { width:100%; }
body .wc-block-components-form .wc-block-components-text-input input:-webkit-autofill+label, 
body .wc-block-components-form .wc-block-components-text-input.is-active label, 
body .wc-block-components-text-input input:-webkit-autofill+label, 
body .wc-block-components-text-input.is-active label,
.wc-block-components-combobox.is-active .wc-block-components-combobox-control label.components-base-control__label, .wc-block-components-combobox:focus-within .wc-block-components-combobox-control label.components-base-control__label, .wc-block-components-form .wc-block-components-combobox.is-active .wc-block-components-combobox-control label.components-base-control__label, .wc-block-components-form .wc-block-components-combobox:focus-within .wc-block-components-combobox-control label.components-base-control__label{ transform: scale(.6); }
body:not(.woocommerce-block-theme-has-button-styles) .wc-block-components-button:not(.is-link) { font-size: 20px; line-height: 55px; text-decoration: none; display: inline-block; height: 45px; border-radius: 35px; border:2px solid; padding: 0 20px; background-color: var(--lmirtillo); border-color: var(--lmirtillo); color: var(--bgcolor); }
.is-large .wc-block-checkout__sidebar.is-sticky { top:140px; }
.wc-block-components-order-summary .wc-block-components-order-summary-item__description .wc-block-components-product-metadata, .wc-block-components-order-summary .wc-block-components-order-summary-item__description p , .wc-block-components-product-metadata{ display:none;}

/* news */
.single-post p.data { margin-bottom:10px; margin-top:40px; font-size: 22px; }
.single-post h1 { margin-top:0px; }
.news-pagina { display: grid;  grid-template-columns: repeat(4, minmax(0, 1fr)); gap:36px; margin: 80px 0; }
.news-pagina h2 { grid-column: span 3; margin-bottom: 0px; }
.news-pagina .all { grid-column: span 1; color:var(--mirtillo); text-align: right; align-self: flex-end; text-decoration: underline;}
.news-pagina img { max-width: 100%; height: auto;}
.news-pagina a { color:var(--mirtillo); text-decoration: none; }
.news-pagina .data { color:var(--pane); text-transform: uppercase; }
.news-pagina h3 { margin:0px;margin-top:20px; font-size: 25px; line-height: 28px; font-family:var(--bold);}
.news-pagina p { margin:0px;margin-top:10px;}
.news-pagina figure { aspect-ratio: 16/9; overflow: hidden; }
.news-pagina figure img { object-fit: cover; object-position: center; width: 100%; height: 100%}

.single-post #ig_fascia { margin-top:120px; }

/* footer */
footer { padding:80px; background-color: var(--lmirtillo); font-size: 22px; line-height: 28px; color: var(--bgcolor); }
footer p { margin: 0px;}
footer .has-small-font-size { font-size: 16px !important; line-height: 20px; }
footer .widget_nav_menu h2 { font-size: 22px; line-height: 28px; text-transform: uppercase; margin: 0px;}
footer .widget_nav_menu ul { margin:0px; padding: 0px; list-style: none; margin-bottom: 28px;}
footer .widget_nav_menu:last-child ul { margin-bottom: 0px; }
footer .wp-block-columns { margin-bottom:60px; }
footer .wp-block-columns:last-child { margin-bottom:0px; }
footer a { color:var(--bgcolor); text-decoration:none; }
footer a:hover { color:var(--mirtillo); }

body #sb_instagram #sbi_images { padding:0px; }



@media screen and (min-width:1025px) {
  body .woocommerce-message { position:absolute; top:0px; left:calc( 50% + 80px - 1.5em ); z-index:10; width:calc( 50% - 2em - 160px ); background-color: transparent; top: 120px; color:var(--bgcolor); font-size: 16px; border-top:0px;}
  body  .woocommerce-message::before { color: var(--bgcolor); }
  body.woocommerce-page .woocommerce-message .button { background-color: transparent; border:2px solid var(--bgcolor); color:var(--bgcolor); border-radius: 30px; font-size: 16px; }
  body.woocommerce-page .woocommerce-message .button:hover { background-color: var(--bgcolor); border:2px solid var(--bgcolor); color:var(--mirtillo); }
  
}

@media screen and (max-width:1440px) {
  .news-pagina { grid-template-columns: repeat(3, minmax(0, 1fr)); }
  .news-pagina h2 { grid-column: span 2;}
  }

  

@media screen and (max-width:1024px) {
  html, body { 
    font-size: 20px;
    line-height: 28px;
}

h1, #mega-menu a { font-size: 48px; line-height: 52px ;}
h2, .has-x-large-font-size { font-size: 38px !important; line-height: 44px ;}
h3, .has-large-font-size { font-size: 32px !important; line-height: 38px ;}
h4, .has-medium-font-size { font-size: 25px !important; line-height: 30px ; }

.label { font-size: 16px; line-height: 22px; font-family: var(--bold); text-transform: uppercase; letter-spacing: .075em;}
.btn { font-size: 16px; line-height: 41px; height: 41px; }
a.wp-block-button__link { font-size: 16px; line-height: 22px; }

.has-small-font-size, .small { font-size:16px !important;line-height: 22px; }

.small { font-size: 22px; line-height: 30px;}

.alignwide { width:100%;}
.main { padding: 0 40px;}
#top { width: calc( 100% - 80px ); padding: 0 40px;}
#mega-menu {    padding: 200px 40px 40px 40px; width: calc( 100% - 80px ); height: calc( 100vh - 240px ); }

.catprod { flex-wrap: wrap;  }
.catprod article { padding: 40px 20px; min-width: calc( 50% - 40px ); flex-basis: calc( 50% - 40px ); }

body.woocommerce ul.products { grid-template-columns: repeat(2, minmax(0, 1fr)); }

.single-product #top:not(.active) .menu-header li a, .single-product #top:not(.active) { color: var(--lmirtillo); }
.single-product #top:not(.active) .icon { background-color: var(--lmirtillo); }
.single-product #top:not(.active) .navbar-toggler-icon { border-color: var(--lmirtillo); }
.single-product .header { display: block; }
.single-product .header img.attachment-post-thumbnail { width:100%; }
.single-product .header .contenuto { padding:40px 20px;}
.single-product .gallery, .single-product .gallery .slick-list, .single-product .gallery .slick-track { height:50vh; }

#informazioni { margin-left:20px; width: calc( 100% - 40px ); font-size: 20px; line-height: 28px; }
body .woocommerce-message { position:absolute; top:120px; z-index:10; width:calc( 100% - 5em ); background-color: transparent;}
body.woocommerce-page .woocommerce-message .button { background-color: transparent; border:2px solid var(--lmirtillo); color:var(--lmirtillo); border-radius: 30px; font-size: 16px; }
.tax-product_cat .header .main { padding-right: 40px; }

.news-pagina { grid-template-columns: repeat(2, minmax(0, 1fr)); }
.news-pagina h2 {grid-column: span 1;  }
.rank-math-breadcrumb { left:40px;}

}
@media screen and (max-width:840px) {
  .main { padding: 0 20px;}
  #top { width: calc( 100% - 40px ); padding: 0 20px;}
  .tax-product_cat .header .main { padding-right: 20px; }

  #top { height:55px; min-height: 55px; align-items: flex-start; padding-top:20px;}
#top #logo { height:40px;  -webkit-mask-repeat:no-repeat; mask-repeat: no-repeat; }
#cart { margin-left:auto;}
.navbar-toggler { margin-left:20px; position:relative; top:5px;}
.wrapper.sfondo-blocco { padding-top: 75px;}
.wrapper { padding-top:95px;}

.rank-math-breadcrumb { top:90px; }

.wp-block-spacer { max-height: 20px; }
.rank-math-breadcrumb { left:20px;}
.woocommerce ul.products[class*=columns-] li.product, .woocommerce-page ul.products[class*=columns-] li.product { margin-bottom:30px; width:100%; }

footer { padding:40px 20px; font-size: 16px !important; line-height: 20px;}
footer  .has-medium-font-size, footer .widget_nav_menu h2 { font-size: 20px !important; line-height: 25px;}
footer .widget_nav_menu ul { margin-bottom: 0px; }
body footer .wp-block-columns { margin-bottom: 60px !important;}

.single-product .header h1 { font-size: 30px; line-height: 36px;}
body.woocommerce .quantity .qty { width:100%; margin-bottom: 5px; margin-right:0px; padding:0px;}
body.woocommerce div.product form.cart .button { font-size: 20px; width: 100%;}
#cats ul li { font-size: 15px; line-height: 24px; height: 22px; border:1px solid var(--bgcolor); margin-bottom: 5px; margin-right: 0px;}
#informazioni .inner-content { width:100%;}
#informazioni .prod_img { position: static; width: 100%;}
#informazioni .prod_img .img img { margin-top:20px; }

#modulo-search { transform: translateX(150%); transition: transform .3s; display: block; height:70dvh; width: 85vw; left: auto; right:0; top: 50%; margin-top: -35dvh; }
#modulo-search.open { transform: translateX(0); }
#modulo-search form input[type="text"] { font-size:38px; line-height: 42px;}

}

@media screen and (max-width:520px) {
  .rank-math-breadcrumb { display: none;}
  body .wp-block-columns { column-gap: 10px; gap:10px !important; margin-bottom: 0px !important; }

.wrapper { overflow-x:hidden; }
#top .menu-header { display:none; }
.galitem { display: flex; }
#top #logo { width:110px; -webkit-mask-repeat:no-repeat; mask-repeat: no-repeat; }

.navbar-collapse #mega-menu {display: block; padding: 100px 20px 20px 20px; width: calc( 100% - 40px ); height: calc( 100dvh - 120px );}
#mega-menu .col { display: block; width:100%; float:none; margin-bottom: 30px; }

 #mega-menu a { font-size: 30px; line-height: 36px;}
#mega-menu .menu-big li:first-child { margin-bottom: 30px;}
.catprod article { min-width: calc( 100% - 40px ); }

.news-pagina { grid-template-columns: repeat(1, minmax(0, 1fr)); gap:10px; }
.news-pagina .all { text-align: left;}



body.woocommerce ul.products {  grid-template-columns: repeat(1, minmax(0, 1fr));    }

body.woocommerce ul.products li.product .woocommerce-loop-product__title { font-size: 22px !important; line-height: 28px;}

.filtri #filtri_cat li { font-size: 20px; line-height: 34px; height: 30px;}
.filtri #filtri_tag li { font-size: 15px; padding: 0 10px; line-height: 24px; height: 22px; }
.tax-product_cat .header { padding-top:130px; font-size: 25px; line-height: 30px;}

#informazioni h3 { font-size: 20px !important; line-height: 24px;}
#informazioni { font-size: 15px; line-height: 18px;}
#informazioni h2 { font-size: 32px !important; line-height: 36px;}

#informazioni .prod_img .img { line-height: 0;}
#informazioni .prod_img .img img { width:100%;}
#informazioni { margin: 0px; width: 100%; padding-bottom: 0px;}
#informazioni .inner-content { padding: 20px; width: calc( 100% - 40px )}

.wpcf7 label { display:block; }
.wpcf7 label input, select { font-size:20px;margin-bottom: 5px;}
.wpcf7 br { display: none; }
.wpcf7 input[type=submit] { width:100%; padding: 10px 0; height:45px; margin-top:20px; }
.wpcf7-form-control-wrap[data-name="privacy"] { padding-top: 20px; display: block;}
.row-wave { margin-top:0px; margin-bottom: 0px;}

blockquote p { position: relative; z-index:10;}
blockquote { padding:0px;}
blockquote::after, blockquote::before { top:-20px;}
blockquote::after { top:auto; bottom:30px;}
}